### Method

# Adw ViewSwitcher set_stack

#### Declaration [src]

    void
    adw_view_switcher_set_stack (
      AdwViewSwitcher* self,
      AdwViewStack* stack
    )

#### Description [src]

Sets the stack controlled by `self`.

Available since: | 1.0

Sets property | `Adw.ViewSwitcher:stack`

#### Parameters

`stack` | `AdwViewStack`
| A stack.
| The argument can be `NULL`.
| The data is owned by the caller of the function.